<?php

// Require the initialisation file
require_once '../../../../init.php';

//Required files
require_once MAX_PATH . '/www/admin/config.php';
require_once MAX_PATH . '/lib/max/Plugin/Translation.php';

//security check
OA_Permission::enforceAccount(OA_ACCOUNT_ADMIN);


if($GLOBALS['_MAX']['CONF']['database']['type']=='mysql')
{
	require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysql.php';
}
else if($GLOBALS['_MAX']['CONF']['database']['type']=='pgsql')
{
	require_once MAX_PATH . '/lib/OA/Dal/Delivery/pgsql.php';
}
else if($GLOBALS['_MAX']['CONF']['database']['type']=='mysqli')
{
	require_once MAX_PATH . '/lib/OA/Dal/Delivery/mysqli.php';
}

$table_prefix = $GLOBALS['_MAX']['CONF']['table']['prefix'];

$_action = $_GET['value']; 

$category_ids = explode(',',$_REQUEST['id']);

$msg ='';

switch($_action){
	case 'delete':		
		foreach($category_ids as $id)
		{						
			OA_Dal_Delivery_query("DELETE FROM djax_device_target WHERE parent_device_id='".$id."'") or die("error in delete");		
			OA_Dal_Delivery_query("DELETE FROM djax_device_target WHERE device_id='{$id}'") or die("error in delete");
		}
		$msg="Deleted";	
		break;

	case 'activate':	
		foreach($category_ids as $id)
		{			
			OA_Dal_Delivery_query("UPDATE djax_device_target SET is_blocked=0 WHERE parent_device_id = '".$id."'") or die("error in delete");
			OA_Dal_Delivery_query("UPDATE djax_device_target SET is_blocked=0 WHERE device_id='{$id}'") or die("error in delete");
		}
		$msg="Activated";		
		break;

	case 'dactivate':	
		foreach($category_ids as $id)
		{		
			OA_Dal_Delivery_query("UPDATE djax_device_target SET is_blocked=1 WHERE parent_device_id ='".$id."'") or die("error in delete");
			OA_Dal_Delivery_query("UPDATE djax_device_target SET is_blocked=1 WHERE device_id='{$id}'") or die("error in delete");

		}
		$msg="Deactivated";		
		break;
	

}

$translation = new OX_Translation ();
$translated_message = $translation->translate ("Selected Category has been ".$msg);
OA_Admin_UI::queueMessage($translated_message, 'local', 'confirm', 0);
header('Location:custom-category.php');
